> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get non-tradable assets

GET https://www.okx.com/api/v5/asset/non-tradable-assets

Retrieve the assets in the funding account that cannot be traded but can be withdrawn (e.g. delisted or non-listed tokens).

Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/get-non-tradable-assets

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `ccy` (string, optional) — Single currency or multiple currencies (no more than 20) separated with comma, e.g. BTC or BTC,ETH.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AssetNonTradableAssetsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AssetNonTradableAssetsGetResponsesContentApplicationJsonSchemaDataItems

- `ccy` (string, optional) — Currency, e.g. CELT.
- `name` (string, optional) — Chinese name of currency. There is no related name when it is not shown.
- `logoLink` (string, optional) — Logo link of currency.
- `bal` (string, optional) — Withdrawable amount.
- `canWd` (boolean, optional) — Whether the asset can be withdrawn on-chain.
- `chain` (string, optional) — Chain for withdrawal, e.g. CELT-OKTC.
- `minWd` (string, optional) — Minimum withdrawal amount of the currency in a single transaction.
- `wdAll` (boolean, optional) — Whether all assets in this currency must be withdrawn at one time.
- `fee` (string, optional) — Fixed withdrawal fee.
- `feeCcy` (string, optional) — Fixed withdrawal fee unit, e.g. USDT.
- `ctAddr` (string, optional) — Last 6 digits of contract address.
- `wdTickSz` (string, optional) — Withdrawal precision, indicating the number of decimal places.
- `needTag` (boolean, optional) — Whether tag/memo information is required for withdrawal.
- `burningFeeRate` (string, optional) — Burning fee rate, e.g. 0.05 means 5%. Applicable to some tokens.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "ccy": "CELT",
      "name": "",
      "logoLink": "https://static.coinall.ltd/cdn/assets/imgs/221/460DA8A592400393.png",
      "bal": "989.84719571",
      "canWd": true,
      "chain": "CELT-OKTC",
      "minWd": "0.1",
      "wdAll": false,
      "fee": "2",
      "feeCcy": "USDT",
      "ctAddr": "f403fb",
      "wdTickSz": "8",
      "needTag": false,
      "burningFeeRate": ""
    },
    {
      "ccy": "MEME",
      "name": "MEME Inu",
      "logoLink": "https://static.coinall.ltd/cdn/assets/imgs/207/2E664E470103C613.png",
      "bal": "0.001",
      "canWd": true,
      "chain": "MEME-ERC20",
      "minWd": "0.001",
      "wdAll": false,
      "fee": "5",
      "feeCcy": "USDT",
      "ctAddr": "09b760",
      "wdTickSz": "8",
      "needTag": false,
      "burningFeeRate": ""
    }
  ]
}
```

**SDK Code**

```python funding_getNonTradableAssets_example
import requests

url = "https://www.okx.com/api/v5/asset/non-tradable-assets"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript funding_getNonTradableAssets_example
const url = 'https://www.okx.com/api/v5/asset/non-tradable-assets';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go funding_getNonTradableAssets_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/asset/non-tradable-assets"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby funding_getNonTradableAssets_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/asset/non-tradable-assets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java funding_getNonTradableAssets_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/asset/non-tradable-assets")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php funding_getNonTradableAssets_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/asset/non-tradable-assets', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp funding_getNonTradableAssets_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/asset/non-tradable-assets");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift funding_getNonTradableAssets_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/non-tradable-assets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```